/**
 * Prompts user for projectName if not defined, returns the information required related to project
 */
export declare const getProjectInfo: (projectNameArg: string | undefined) => Promise<{
    projectDisplayName: string;
    projectPath: string;
}>;
/**
 * Prompts user to choose package installer if not defined
 */
export declare const getInstallCommand: (installerVal: 'npm' | 'yarn' | undefined) => Promise<'npm install' | 'yarn'>;
/**
 * Some validations on top of template names
 */
export declare const getTemplate: (templateVal: string | undefined) => string;
export declare const scaffoldTemplate: ({ projectPath, template }: {
    projectPath: string;
    template: string;
}) => Promise<void>;
export declare const setNameInPackageJSON: (packagePath: string, appName: string) => void;
